Index: branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/MEDUSA/bio_medusa_mod.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/MEDUSA/bio_medusa_mod.F90	(revision 8441)
+++ branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/MEDUSA/bio_medusa_mod.F90	(revision 8442)
@@ -161,8 +161,8 @@
 
    !! Add DMS in MEDUSA for UKESM1 model
-   REAL(wp), ALLOCATABLE, DIMENSION(:,:) :: dms_surf
+   REAL(wp)                              :: dms_surf,dms_andm
    !! AXY (13/03/15): add in other DMS calculations
-   REAL(wp), ALLOCATABLE, DIMENSION(:,:) :: dms_andr,dms_simo,dms_aran,dms_hall
-   REAL(wp), ALLOCATABLE, DIMENSION(:,:) :: dms_andm, dms_nlim, dms_wtkn
+   REAL(wp)                              :: dms_andr,dms_simo,dms_aran,dms_hall
+   REAL(wp), ALLOCATABLE, DIMENSION(:,:) :: dms_nlim, dms_wtkn
 # endif
 
@@ -360,7 +360,4 @@
                foxy_prod(jpi,jpj), foxy_cons(jpi,jpj),                &
                foxy_anox(jpi,jpj),                                    &
-               dms_surf(jpi,jpj),                                     &
-               dms_andr(jpi,jpj),dms_simo(jpi,jpj),                   &
-               dms_aran(jpi,jpj),dms_hall(jpi,jpj),dms_andm(jpi,jpj), &
                dms_nlim(jpi,jpj),dms_wtkn(jpi,jpj),                   &
 # endif
Index: branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/MEDUSA/bio_medusa_update.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/MEDUSA/bio_medusa_update.F90	(revision 8441)
+++ branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/MEDUSA/bio_medusa_update.F90	(revision 8442)
@@ -781,6 +781,6 @@
 #   if defined key_debug_medusa
       IF (lwp) write (numout,*) '------'
-      IF (lwp) write (numout,*) 'trc_bio_medusa: end all calculations'
-      IF (lwp) write (numout,*) 'trc_bio_medusa: now outputs'
+      IF (lwp) write (numout,*) 'bio_medusa_update: end all calculations'
+      IF (lwp) write (numout,*) 'bio_medusa_update: now outputs kt = ', kt
       CALL flush(numout)
 #   endif
Index: branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcbio_medusa.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcbio_medusa.F90	(revision 8441)
+++ branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcbio_medusa.F90	(revision 8442)
@@ -99,7 +99,5 @@
       USE sbc_oce,                    ONLY: lk_oasis
       USE sms_medusa,                 ONLY: hist_pco2
-      USE trc,                        ONLY: ln_diatrc, ln_rsttr,            &
-                                            nittrc000, trn
- 
+      USE trc,                        ONLY: ln_rsttr, nittrc000, trn
       USE bio_medusa_init_mod,        ONLY: bio_medusa_init
       USE carb_chem_mod,              ONLY: carb_chem
@@ -640,5 +638,5 @@
          !! 2d specific k level diags
          !!-------------------------------------------------------
-         IF( lk_iomput  .AND.  .NOT.  ln_diatrc  ) THEN
+         IF( lk_iomput ) THEN
             CALL bio_medusa_diag_slice( jk )
          ENDIF
@@ -651,11 +649,4 @@
       !!------------------------------------------------------------------
       CALL bio_medusa_fin( kt )
-
-# if defined key_trc_diabio
-       !! Lateral boundary conditions on trcbio
-       DO jn=1,jp_medusa_trd
-          CALL lbc_lnk(trbio(:,:,1,jn),'T',1. )
-       ENDDO 
-# endif
 
 # if defined key_debug_medusa
Index: branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcnam_medusa.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcnam_medusa.F90	(revision 8441)
+++ branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcnam_medusa.F90	(revision 8442)
@@ -93,11 +93,6 @@
       INTEGER :: jl, jn
       INTEGER :: ios                 ! Local integer output status for namelist read
-      TYPE(DIAG), DIMENSION(jp_medusa_2d)  :: meddia2d
-      TYPE(DIAG), DIMENSION(jp_medusa_3d)  :: meddia3d
-      TYPE(DIAG), DIMENSION(jp_medusa_trd) :: meddiabio
       CHARACTER(LEN=32)   ::   clname
       !!
-      NAMELIST/nammeddia/ meddia3d, meddia2d     ! additional diagnostics
-
       !!----------------------------------------------------------------------
 
@@ -126,94 +121,4 @@
 # if defined key_debug_medusa
       CALL flush(numout)
-# endif
-      !
-# if defined key_debug_medusa
-      IF (lwp) write (numout,*) '------------------------------'
-      IF (lwp) write (numout,*) 'Jpalm - debug'
-      IF (lwp) write (numout,*) 'Just before reading namelist_medusa :: nammeddia'
-      IF (lwp) write (numout,*) ' '
-      CALL flush(numout)
-# endif
-
-     IF( ( .NOT.lk_iomput .AND. ln_diatrc ) .OR. ( ln_diatrc .AND. lk_medusa ) ) THEN
-         !
-         ! Namelist nammeddia
-         ! -------------------
-         REWIND( numnatp_ref )              ! Namelist nammeddia in reference namelist : MEDUSA diagnostics
-         READ  ( numnatp_ref, nammeddia, IOSTAT = ios, ERR = 901)
-901      IF( ios /= 0 ) CALL ctl_nam ( ios , 'nammeddia in reference namelist', lwp )
-
-         REWIND( numnatp_cfg )              ! Namelist nammeddia in configuration namelist : MEDUSA diagnostics
-         READ  ( numnatp_cfg, nammeddia, IOSTAT = ios, ERR = 902 )
-902      IF( ios /= 0 ) CALL ctl_nam ( ios , 'nammeddia in configuration namelist', lwp )
-         IF(lwm) WRITE ( numonp, nammeddia )
-
-# if defined key_debug_medusa
-         IF (lwp) write (numout,*) '------------------------------'
-         IF (lwp) write (numout,*) 'Jpalm - debug'
-         IF (lwp) write (numout,*) 'reading namelist_medusa :: nammeddia OK'
-         IF (lwp) write (numout,*) 'Check number of variable in nammeddia:'
-         IF (lwp) write (numout,*) 'jp_medusa_2d: ',jp_medusa_2d ,'jp_medusa_3d: ',jp_medusa_3d
-         IF (lwp) write (numout,*) ' '
-         CALL flush(numout)
-# endif
-         DO jl = 1, jp_medusa_2d
-            jn = jp_msa0_2d + jl - 1
-# if defined key_debug_medusa
-            IF (lwp) write (numout,*) 'Check what is readden in nammeddia: -- 2D'
-            IF (lwp) write (numout,*) jl,'meddia2d-sname: ',meddia2d(jl)%sname 
-            IF (lwp) write (numout,*) jl,'meddia2d-lname: ',meddia2d(jl)%lname 
-            IF (lwp) write (numout,*) jl,'meddia2d-units: ',meddia2d(jl)%units 
-            CALL flush(numout)
-# endif
-            ctrc2d(jn) = meddia2d(jl)%sname
-            ctrc2l(jn) = meddia2d(jl)%lname
-            ctrc2u(jn) = meddia2d(jl)%units
-         END DO
-
-         DO jl = 1, jp_medusa_3d
-            jn = jp_msa0_3d + jl - 1
-# if defined key_debug_medusa
-            IF (lwp) write (numout,*) 'Check what is readden in nammeddia: -- 3D'
-            IF (lwp) write (numout,*) jl,'meddia3d-sname: ',meddia3d(jl)%sname 
-            IF (lwp) write (numout,*) jl,'meddia3d-lname: ',meddia3d(jl)%lname
-            IF (lwp) write (numout,*) jl,'meddia3d-units: ',meddia3d(jl)%units
-            CALL flush(numout)
-# endif
-            ctrc3d(jn) = meddia3d(jl)%sname
-            ctrc3l(jn) = meddia3d(jl)%lname
-            ctrc3u(jn) = meddia3d(jl)%units
-         END DO
-
-         IF(lwp) THEN                   ! control print
-# if defined key_debug_medusa
-            IF (lwp) write (numout,*) '------------------------------'
-            IF (lwp) write (numout,*) 'Jpalm - debug'
-            IF (lwp) write (numout,*) 'Var name assignation OK'
-            IF (lwp) write (numout,*) 'next check var names'
-            IF (lwp) write (numout,*) ' '
-            CALL flush(numout)
-# endif
-            WRITE(numout,*)
-            WRITE(numout,*) ' Namelist : natadd'
-            DO jl = 1, jp_medusa_3d
-               jn = jp_msa0_3d + jl - 1
-               WRITE(numout,*) '  3d diag nb : ', jn, '    short name : ', ctrc3d(jn), &
-                 &             '  long name  : ', ctrc3l(jn), '   unit : ', ctrc3u(jn)
-            END DO
-            WRITE(numout,*) ' '
-
-            DO jl = 1, jp_medusa_2d
-               jn = jp_msa0_2d + jl - 1
-               WRITE(numout,*) '  2d diag nb : ', jn, '    short name : ', ctrc2d(jn), &
-                 &             '  long name  : ', ctrc2l(jn), '   unit : ', ctrc2u(jn)
-            END DO
-            WRITE(numout,*) ' '
-         ENDIF
-         !
-      ENDIF   
-         !
-# if defined key_debug_medusa
-            CALL flush(numout)
 # endif
 
Index: branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcsed_medusa.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcsed_medusa.F90	(revision 8441)
+++ branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcsed_medusa.F90	(revision 8442)
@@ -45,7 +45,7 @@
 
    !! * Module variables
-   INTEGER ::                   &
-     ryyss,                     &  !: number of seconds per year
-     rmtss                         !: number of seconds per month
+   !! INTEGER ::                   &
+     !! ryyss,                     &  !: number of seconds per year
+     !! rmtss                         !: number of seconds per month
 
    !! AXY (10/02/09)
@@ -123,6 +123,6 @@
 
       ! Number of seconds per year and per month
-      ryyss = nyear_len(1) * rday
-      rmtss = ryyss / raamo
+      !! ryyss = nyear_len(1) * rday
+      !! rmtss = ryyss / raamo
 
       !! AXY (20/11/14): alter this to report on first MEDUSA call
@@ -173,14 +173,7 @@
                ztra  = - ( zwork(ji,jj,jk) - zwork(ji,jj,jk+1) ) / fse3t(ji,jj,jk)
                tra(ji,jj,jk,jpdet) = tra(ji,jj,jk,jpdet) + ztra
-# if defined key_trc_diabio
-               trbio(ji,jj,jk,8) = ztra
-# endif
-               IF (lk_iomput .AND. .NOT. ln_diatrc) THEN
-                     IF( med_diag%DSED%dgsave ) THEN
-                         zw2d(ji,jj) = zw2d(ji,jj) + ztra * fse3t(ji,jj,jk) * 86400.
-                      ENDIF   
-               ELSE IF( ln_diatrc )  THEN
-                    trc2d(ji,jj,8) = trc2d(ji,jj,8) + ztra * fse3t(ji,jj,jk) * 86400.
-               ENDIF    
+               IF( med_diag%DSED%dgsave ) THEN
+                   zw2d(ji,jj) = zw2d(ji,jj) + ztra * fse3t(ji,jj,jk) * 86400.
+               ENDIF   
                 
             END DO
@@ -188,16 +181,7 @@
       END DO
       !
-# if defined key_trc_diabio
-      CALL lbc_lnk (trbio(:,:,1,8), 'T', 1. )                    ! Lateral boundary conditions on trcbio
-# endif
-      IF( ln_diatrc ) CALL lbc_lnk( trc2d(:,:,8), 'T', 1. )      ! Lateral boundary conditions on trc2d
-      !!
-      IF (lk_iomput .AND. .NOT. ln_diatrc) THEN
-           IF( med_diag%DSED%dgsave ) THEN
-                CALL iom_put( "DSED"  ,  zw2d)
-                CALL wrk_dealloc( jpi, jpj,    zw2d  )
-            ENDIF
-      ELSE IF (lk_iomput .AND. ln_diatrc)  THEN    
-          CALL iom_put( "DSED",trc2d(:,:,8) )
+      IF( med_diag%DSED%dgsave ) THEN
+           CALL iom_put( "DSED"  ,  zw2d)
+           CALL wrk_dealloc( jpi, jpj,    zw2d  )
       ENDIF
       !!
@@ -229,20 +213,8 @@
                ztra  = - ( zwork(ji,jj,jk) - zwork(ji,jj,jk+1) ) / fse3t(ji,jj,jk)
                tra(ji,jj,jk,jpdtc) = tra(ji,jj,jk,jpdtc) + ztra
-!! #  if defined key_trc_diabio
-!!                trbio(ji,jj,jk,8) = ztra
-!! #  endif
-!!             IF( ln_diatrc ) &
-!!                &  trc2d(ji,jj,8) = trc2d(ji,jj,8) + ztra * fse3t(ji,jj,jk) * 86400.
             END DO
          END DO
       END DO
       !
-!! #  if defined key_trc_diabio
-!!       CALL lbc_lnk (trbio(:,:,1,8), 'T', 1. )                    ! Lateral boundary conditions on trcbio
-!! #  endif
-!!       IF( ln_diatrc ) CALL lbc_lnk( trc2d(:,:,8), 'T', 1. )      ! Lateral boundary conditions on trc2d
-!! #  if defined key_iomput
-!!       CALL iom_put( "DSED",trc2d(:,:,8) )
-!! #  endif
 
 # endif
Index: branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/TRP/trcadv.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/TRP/trcadv.F90	(revision 8441)
+++ branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/TRP/trcadv.F90	(revision 8442)
@@ -29,5 +29,4 @@
    USE trdtra
    USE prtctl_trc      ! Print control
-   !! USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
 
    IMPLICIT NONE
@@ -109,11 +108,4 @@
       zvn(:,:,jpk) = 0._wp                                                     ! no transport trough the bottom
       zwn(:,:,jpk) = 0._wp                                                     ! no transport trough the bottom
-      ! 
-      !! Jpalm -- 14-01-2016 -- restart and proc pb - try this... 
-      !! DO jn = 1, jptra
-      !!   CALL lbc_lnk( trn(:,:,:,jn), 'T', 1. )
-      !!   CALL lbc_lnk( trb(:,:,:,jn), 'T', 1. )
-      !! END DO
-      !
 
       IF( lk_traldf_eiv .AND. .NOT. ln_traldf_grif )   &  ! add the eiv transport (if necessary)
Index: branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/TRP/trctrp.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/TRP/trctrp.F90	(revision 8441)
+++ branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/TRP/trctrp.F90	(revision 8442)
@@ -77,10 +77,4 @@
          IF( ln_trcdmp )        CALL trc_dmp( kstp )            ! internal damping trends
                                 CALL trc_adv( kstp )            ! horizontal & vertical advection 
-# if defined key_debug_medusa
-         IF(lwp) WRITE(numout,*) ' MEDUSA trc_trp after trc_adv at kt =', kstp
-         CALL trc_rst_tra_stat
-         CALL flush(numout)
-# endif
-
          IF( ln_zps ) THEN
            IF( ln_isfcav ) THEN ; CALL zps_hde_isf( kstp, jptra, trb, pgtu=gtru, pgtv=gtrv, pgtui=gtrui, pgtvi=gtrvi )  ! both top & bottom
@@ -95,9 +89,4 @@
 #endif
                                 CALL trc_zdf( kstp )            ! vertical mixing and after tracer fields
-# if defined key_debug_medusa
-         IF(lwp) WRITE(numout,*) ' MEDUSA trc_trp after trc_zdf at kt =', kstp
-         CALL trc_rst_tra_stat
-         CALL flush(numout)
-# endif
                                 CALL trc_nxt( kstp )            ! tracer fields at next time step     
 # if defined key_debug_medusa
Index: branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/par_trc.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/par_trc.F90	(revision 8441)
+++ branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/par_trc.F90	(revision 8442)
@@ -15,8 +15,8 @@
    USE par_c14b      ! C14 bomb tracer
    USE par_cfc       ! CFC 11 and 12 tracers
+   USE par_age       ! AGE  tracer
    USE par_my_trc    ! user defined passive tracers
+   USE par_idtra     ! Idealize tracer
    USE par_medusa    ! MEDUSA model
-   USE par_idtra     ! Idealize tracer
-   USE par_age       ! AGE  tracer
 
    IMPLICIT NONE
@@ -28,9 +28,9 @@
    ! Passive tracers : Total size
    ! ---------------               ! total number of passive tracers, of 2d and 3d output and trend arrays
-   INTEGER, PUBLIC,  PARAMETER ::   jptra    =  jp_pisces     + jp_cfc     + jp_c14b    + jp_my_trc    + jp_medusa    + jp_idtra     + jp_age
-   INTEGER, PUBLIC,  PARAMETER ::   jpdia2d  =  jp_pisces_2d  + jp_cfc_2d  + jp_c14b_2d + jp_my_trc_2d + jp_medusa_2d + jp_idtra_2d  + jp_age_2d
-   INTEGER, PUBLIC,  PARAMETER ::   jpdia3d  =  jp_pisces_3d  + jp_cfc_3d  + jp_c14b_3d + jp_my_trc_3d + jp_medusa_3d + jp_idtra_3d  + jp_age_3d
+   INTEGER, PUBLIC,  PARAMETER ::   jptra    =  jp_pisces     + jp_cfc     + jp_c14b    + jp_age    + jp_my_trc    + jp_idtra     + jp_medusa   
+   INTEGER, PUBLIC,  PARAMETER ::   jpdia2d  =  jp_pisces_2d  + jp_cfc_2d  + jp_c14b_2d + jp_age_2d + jp_my_trc_2d + jp_idtra_2d  + jp_medusa_2d
+   INTEGER, PUBLIC,  PARAMETER ::   jpdia3d  =  jp_pisces_3d  + jp_cfc_3d  + jp_c14b_3d + jp_age_3d + jp_my_trc_3d + jp_idtra_3d  + jp_medusa_3d
    !                     ! total number of sms diagnostic arrays
-   INTEGER, PUBLIC,  PARAMETER ::   jpdiabio =  jp_pisces_trd + jp_cfc_trd + jp_c14b_trd + jp_my_trc_trd + jp_medusa_trd + jp_idtra_trd + jp_age_trd
+   INTEGER, PUBLIC,  PARAMETER ::   jpdiabio =  jp_pisces_trd + jp_cfc_trd + jp_c14b_trd + jp_age_trd + jp_my_trc_trd + jp_idtra_trd + jp_medusa_trd 
    
    !  1D configuration ("key_c1d")
Index: branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/trcini.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/trcini.F90	(revision 8441)
+++ branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/trcini.F90	(revision 8442)
@@ -24,8 +24,8 @@
    USE trcini_pisces   ! PISCES   initialisation
    USE trcini_c14b     ! C14 bomb initialisation
+   USE trcini_age      ! AGE      initialisation
    USE trcini_my_trc   ! MY_TRC   initialisation
+   USE trcini_idtra    ! idealize tracer initialisation
    USE trcini_medusa   ! MEDUSA   initialisation
-   USE trcini_idtra    ! idealize tracer initialisation
-   USE trcini_age      ! AGE      initialisation
    USE trcdta          ! initialisation from files
    USE daymod          ! calendar manager
@@ -79,7 +79,5 @@
          &   CALL ctl_warn(' Coupling with passive tracers and used of diurnal cycle. &
          & Computation of a daily mean shortwave for some biogeochemical models) ')
-          !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-          !!!!! CHECK For MEDUSA
-          !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+
       IF( nn_cla == 1 )   &
          &  CALL ctl_stop( ' Cross Land Advection not yet implemented with passive tracer ; nn_cla must be 0' )
@@ -102,22 +100,12 @@
 
       IF( lk_pisces  )       CALL trc_ini_pisces       ! PISCES  bio-model
-      IF( lk_medusa  )       CALL trc_ini_medusa       ! MEDUSA  tracers
-      IF( lk_idtra   )       CALL trc_ini_idtra        ! Idealize tracers
       IF( lk_cfc     )       CALL trc_ini_cfc          ! CFC     tracers
       IF( lk_c14b    )       CALL trc_ini_c14b         ! C14 bomb  tracer
       IF( lk_age     )       CALL trc_ini_age          ! AGE       tracer
       IF( lk_my_trc  )       CALL trc_ini_my_trc       ! MY_TRC  tracers
+      IF( lk_idtra   )       CALL trc_ini_idtra        ! Idealize tracers
+      IF( lk_medusa  )       CALL trc_ini_medusa       ! MEDUSA  tracers
 
       CALL trc_ice_ini                                 ! Tracers in sea ice
-
-# if defined key_debug_medusa
-         IF (lwp) write (numout,*) '------------------------------'
-         IF (lwp) write (numout,*) 'Jpalm - debug'
-         IF (lwp) write (numout,*) ' in trc_init'
-         IF (lwp) write (numout,*) ' sms init OK'
-         IF (lwp) write (numout,*) ' next: open tracer.stat'
-         IF (lwp) write (numout,*) ' '
-         CALL flush(numout)
-# endif
 
       IF( ln_ctl ) THEN
@@ -133,19 +121,5 @@
       ENDIF
 
-# if defined key_debug_medusa
-         IF (lwp) write (numout,*) '------------------------------'
-         IF (lwp) write (numout,*) 'Jpalm - debug'
-         IF (lwp) write (numout,*) ' in trc_init'
-         IF (lwp) write (numout,*) 'open tracer.stat -- OK'
-         IF (lwp) write (numout,*) ' '
-         CALL flush(numout)
-# endif
-
-
       IF( ln_trcdta ) THEN
-#if defined key_medusa
-         IF(lwp) WRITE(numout,*) 'AXY: calling trc_dta_init'
-         IF(lwp) CALL flush(numout)
-#endif
          CALL trc_dta_init(jptra)
       ENDIF
@@ -153,19 +127,7 @@
       IF( ln_rsttr ) THEN
         !
-#if defined key_medusa
-        IF(lwp) WRITE(numout,*) 'AXY: calling trc_rst_read'
-        IF(lwp) CALL flush(numout)
-#endif
         CALL trc_rst_read              ! restart from a file
         !
       ELSE
-        !
-# if defined key_debug_medusa
-         IF (lwp) write (numout,*) '------------------------------'
-         IF (lwp) write (numout,*) 'Jpalm - debug'
-         IF (lwp) write (numout,*) ' Init from file -- will call trc_dta'
-         IF (lwp) write (numout,*) ' '
-         CALL flush(numout)
-# endif
         !
         IF( ln_trcdta .AND. nb_trcdta > 0 ) THEN  ! Initialisation of tracer from a file that may also be used for damping
@@ -188,48 +150,13 @@
         ENDIF
         !
-# if defined key_debug_medusa
-         IF (lwp) write (numout,*) '------------------------------'
-         IF (lwp) write (numout,*) 'Jpalm - debug'
-         IF (lwp) write (numout,*) ' in trc_init'
-         IF (lwp) write (numout,*) ' before trb = trn'
-         IF (lwp) write (numout,*) ' '
-         CALL flush(numout)
-# endif
-        !
         trb(:,:,:,:) = trn(:,:,:,:)
         ! 
-# if defined key_debug_medusa
-         IF (lwp) write (numout,*) '------------------------------'
-         IF (lwp) write (numout,*) 'Jpalm - debug'
-         IF (lwp) write (numout,*) ' in trc_init'
-         IF (lwp) write (numout,*) ' trb = trn -- OK'
-         IF (lwp) write (numout,*) ' '
-         CALL flush(numout)
-# endif
-        ! 
       ENDIF
  
       tra(:,:,:,:) = 0._wp
       !
-# if defined key_debug_medusa
-         IF (lwp) write (numout,*) '------------------------------'
-         IF (lwp) write (numout,*) 'Jpalm - debug'
-         IF (lwp) write (numout,*) ' in trc_init'
-         IF (lwp) write (numout,*) ' partial step -- OK'
-         IF (lwp) write (numout,*) ' '
-         CALL flush(numout)
-# endif
-      !
       IF( nn_dttrc /= 1 )        CALL trc_sub_ini      ! Initialize variables for substepping passive tracers
       !
-# if defined key_debug_medusa
-         IF (lwp) write (numout,*) '------------------------------'
-         IF (lwp) write (numout,*) 'Jpalm - debug'
-         IF (lwp) write (numout,*) ' in trc_init'
-         IF (lwp) write (numout,*) ' before initiate tracer contents'
-         IF (lwp) write (numout,*) ' '
-         CALL flush(numout)
-# endif
-      !
+
       trai(:) = 0._wp                                                   ! initial content of all tracers
       DO jn = 1, jptra
Index: branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/trcnam.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/trcnam.F90	(revision 8441)
+++ branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/trcnam.F90	(revision 8442)
@@ -25,8 +25,8 @@
    USE trcnam_cfc        ! CFC SMS namelist
    USE trcnam_c14b       ! C14 SMS namelist
+   USE trcnam_age        ! AGE SMS namelist
    USE trcnam_my_trc     ! MY_TRC SMS namelist
+   USE trcnam_idtra      ! Idealise tracer namelist
    USE trcnam_medusa     ! MEDUSA namelist
-   USE trcnam_idtra      ! Idealise tracer namelist
-   USE trcnam_age        ! AGE SMS namelist
    USE trd_oce       
    USE trdtrc_oce
@@ -65,49 +65,11 @@
       
       !                                        !  passive tracer informations
-# if defined key_debug_medusa
-      CALL flush(numout)
-      IF (lwp) write (numout,*) '------------------------------'
-      IF (lwp) write (numout,*) 'Jpalm - debug'
-      IF (lwp) write (numout,*) 'in trc_nam - just before CALL trc_nam_trc'
-      IF (lwp) write (numout,*) ' '
-# endif
-      !
       CALL trc_nam_trc
       
       !                                        !   Parameters of additional diagnostics
-# if defined key_debug_medusa
-      CALL flush(numout)
-      IF (lwp) write (numout,*) '------------------------------'
-      IF (lwp) write (numout,*) 'Jpalm - debug'
-      IF (lwp) write (numout,*) 'CALL trc_nam_trc -- OK'
-      IF (lwp) write (numout,*) 'in trc_nam - just before CALL trc_nam_dia'
-      IF (lwp) write (numout,*) ' '
-# endif
-      !
-
       CALL trc_nam_dia
 
       !                                        !   namelist of transport
-# if defined key_debug_medusa
-      CALL flush(numout)
-      IF (lwp) write (numout,*) '------------------------------'
-      IF (lwp) write (numout,*) 'Jpalm - debug'
-      IF (lwp) write (numout,*) 'CALL trc_nam_dia -- OK'
-      IF (lwp) write (numout,*) 'in trc_nam - just before CALL trc_nam_trp'
-      IF (lwp) write (numout,*) ' '
-# endif
-      !
       CALL trc_nam_trp
-      !
-# if defined key_debug_medusa
-      CALL flush(numout)
-      IF (lwp) write (numout,*) '------------------------------'
-      IF (lwp) write (numout,*) 'Jpalm - debug'
-      IF (lwp) write (numout,*) 'CALL trc_nam_trp -- OK'
-      IF (lwp) write (numout,*) 'continue trc_nam '
-      IF (lwp) write (numout,*) ' '
-      CALL flush(numout)
-# endif
-      !
 
 
@@ -131,7 +93,4 @@
          END DO
          WRITE(numout,*) ' '
-# if defined key_debug_medusa
-      CALL flush(numout)
-# endif
       ENDIF
 
@@ -152,7 +111,4 @@
             WRITE(numout,*)
          ENDIF
-# if defined key_debug_medusa
-      CALL flush(numout)
-# endif
       ENDIF
 
@@ -170,7 +126,4 @@
         WRITE(numout,*) '    Passive Tracer  time step    rdttrc  = ', rdttrc(1)
         WRITE(numout,*) 
-# if defined key_debug_medusa
-      CALL flush(numout)
-# endif
       ENDIF
 
@@ -200,30 +153,11 @@
                IF( ln_trdtrc(jn) ) WRITE(numout,*) '    compute ML trends for tracer number :', jn
             END DO
-         WRITE(numout,*) ' '
-         CALL flush(numout)
          ENDIF
 #endif
 
-# if defined key_debug_medusa
-      CALL flush(numout)
-      IF (lwp) write (numout,*) '------------------------------'
-      IF (lwp) write (numout,*) 'Jpalm - debug'
-      IF (lwp) write (numout,*) 'just before ice module for tracers call : '
-      IF (lwp) write (numout,*) ' '
-# endif
-      !
 
       ! Call the ice module for tracers
       ! -------------------------------
       CALL trc_nam_ice
-
-# if defined key_debug_medusa
-      CALL flush(numout)
-      IF (lwp) write (numout,*) '------------------------------'
-      IF (lwp) write (numout,*) 'Jpalm - debug'
-      IF (lwp) write (numout,*) 'Will now read SMS namelists : '
-      IF (lwp) write (numout,*) ' '
-# endif
-      !
 
       ! namelist of SMS
@@ -232,84 +166,29 @@
       ELSE                    ;   IF(lwp) WRITE(numout,*) '          PISCES not used'
       ENDIF
-      !
-# if defined key_debug_medusa
-      CALL flush(numout)
-      IF (lwp) write (numout,*) '------------------------------'
-      IF (lwp) write (numout,*) 'Jpalm - debug'
-      IF (lwp) write (numout,*) 'CALL trc_nam_pisces  -- OK'
-      IF (lwp) write (numout,*) 'in trc_nam - just before CALL trc_nam_medusa'
-      IF (lwp) write (numout,*) ' '
-# endif
-      !
+
+      IF( lk_cfc     ) THEN   ;   CALL trc_nam_cfc         ! CFC     tracers
+      ELSE                    ;   IF(lwp) WRITE(numout,*) '          CFC not used'
+      ENDIF
+
+      IF( lk_c14b     ) THEN   ;   CALL trc_nam_c14b         ! C14 bomb     tracers
+      ELSE                    ;   IF(lwp) WRITE(numout,*) '          C14 not used'
+      ENDIF
+
+      IF( lk_age     ) THEN  ;   CALL trc_nam_age         ! AGE     tracer
+      ELSE                   ;   IF(lwp) WRITE(numout,*) '          AGE not used'
+      ENDIF
+
+      IF( lk_my_trc  ) THEN   ;   CALL trc_nam_my_trc      ! MY_TRC  tracers
+      ELSE                    ;   IF(lwp) WRITE(numout,*) '          MY_TRC not used'
+      ENDIF
+
+      IF( lk_idtra   ) THEN   ;   CALL trc_nam_idtra       ! Idealize tracers
+      ELSE                    ;   IF(lwp) WRITE(numout,*) '          Idealize tracers not used'
+      ENDIF
+
       IF( lk_medusa  ) THEN   ;   CALL trc_nam_medusa      ! MEDUSA  tracers
       ELSE                    ;   IF(lwp) WRITE(numout,*) '          MEDUSA not used'
       ENDIF
       !
-# if defined key_debug_medusa
-      CALL flush(numout)
-      IF (lwp) write (numout,*) '------------------------------'
-      IF (lwp) write (numout,*) 'Jpalm - debug'
-      IF (lwp) write (numout,*) 'CALL trc_nam_medusa -- OK'
-      IF (lwp) write (numout,*) 'in trc_nam - just before CALL trc_nam_idtra'
-      IF (lwp) write (numout,*) ' '
-# endif
-      !
-      IF( lk_idtra   ) THEN   ;   CALL trc_nam_idtra       ! Idealize tracers
-      ELSE                    ;   IF(lwp) WRITE(numout,*) '          Idealize tracers not used'
-      ENDIF
-      !
-# if defined key_debug_medusa
-      CALL flush(numout)
-      IF (lwp) write (numout,*) '------------------------------'
-      IF (lwp) write (numout,*) 'Jpalm - debug'
-      IF (lwp) write (numout,*) 'CALL trc_nam_idtra -- OK'
-      IF (lwp) write (numout,*) 'in trc_nam - just before CALL trc_nam_cfc'
-      IF (lwp) write (numout,*) ' '
-# endif
-      !
-      IF( lk_cfc     ) THEN   ;   CALL trc_nam_cfc         ! CFC     tracers
-      ELSE                    ;   IF(lwp) WRITE(numout,*) '          CFC not used'
-      ENDIF
-      !
-# if defined key_debug_medusa
-      CALL flush(numout)
-      IF (lwp) write (numout,*) '------------------------------'
-      IF (lwp) write (numout,*) 'Jpalm - debug'
-      IF (lwp) write (numout,*) 'CALL trc_nam_cfc -- OK'
-      IF (lwp) write (numout,*) 'in trc_nam - just before CALL trc_nam_c14'
-      IF (lwp) write (numout,*) ' '
-# endif
-      !
-      IF( lk_c14b     ) THEN   ;   CALL trc_nam_c14b         ! C14 bomb     tracers
-      ELSE                    ;   IF(lwp) WRITE(numout,*) '          C14 not used'
-      ENDIF
-      !
-# if defined key_debug_medusa
-      CALL flush(numout)
-      IF (lwp) write (numout,*) '------------------------------'
-      IF (lwp) write (numout,*) 'Jpalm - debug'
-      IF (lwp) write (numout,*) 'CALL trc_nam_c14 -- OK'
-      IF (lwp) write (numout,*) 'in trc_nam - just before CALL trc_nam_age'
-      IF (lwp) write (numout,*) ' '
-# endif
-      !
-      IF( lk_age     ) THEN  ;   CALL trc_nam_age         ! AGE     tracer
-      ELSE                   ;   IF(lwp) WRITE(numout,*) '          AGE not used'
-      ENDIF
-      !
-# if defined key_debug_medusa
-      CALL flush(numout)
-      IF (lwp) write (numout,*) '------------------------------'
-      IF (lwp) write (numout,*) 'Jpalm - debug'
-      IF (lwp) write (numout,*) 'CALL trc_nam_age -- OK'
-      IF (lwp) write (numout,*) 'in trc_nam - CALL trc_nam -- OK'
-      IF (lwp) write (numout,*) ' '
-# endif
-      !
-      IF( lk_my_trc  ) THEN   ;   CALL trc_nam_my_trc      ! MY_TRC  tracers
-      ELSE                    ;   IF(lwp) WRITE(numout,*) '          MY_TRC not used'
-      ENDIF
-       
-      IF(lwp)   CALL flush(numout)
    END SUBROUTINE trc_nam
 
@@ -450,6 +329,5 @@
          ln_trc_wri(jn) =       sn_tracer(jn)%llsave
       END DO
-      IF(lwp)  CALL flush(numout)      
-
+      
     END SUBROUTINE trc_nam_trc
 
@@ -504,13 +382,5 @@
          CALL flush(numout)
       ENDIF
-!!
-!! JPALM -- 17-07-2015 --
-!! MEDUSA is not yet up-to-date with the iom server.
-!! we use it for the main tracer, but not fully with diagnostics.
-!! will have to adapt it properly when visiting Christian Ethee
-!! for now, we change 
-!! IF( ln_diatrc .AND. .NOT. lk_iomput ) THEN
-!! to :
-!!
+
       IF( ( ln_diatrc .AND. .NOT. lk_iomput ) .OR. ( ln_diatrc .AND. lk_medusa ) ) THEN 
          ALLOCATE( trc2d(jpi,jpj,jpdia2d), trc3d(jpi,jpj,jpk,jpdia3d),  &
@@ -522,6 +392,4 @@
          trc3d(:,:,:,:) = 0._wp  ;   ctrc3d(:) = ' '   ;   ctrc3l(:) = ' '    ;    ctrc3u(:) = ' ' 
          !
-      !! ELSE IF  ( lk_iomput .AND. lk_medusa .AND. .NOT. ln_diatrc) THEN
-      !!    CALL trc_nam_iom_medusa
       ENDIF
 
